<div class="row justify-content-center">
    <div class="col-md-10">
        <div class="row justify-content-end">
            <div class="col-md-3">
                <select class="form-control" id="filter" size="1">
                    <option value="Все задачи">Все задачи</option>
                    {{#each status}}
                        <option value="{{this}}">{{this}}</option>
                    {{/each}}
                </select>
            </div>
        </div>
    </div>

    <script>
        let filter = document.getElementById("filter");
        filter.addEventListener('change', function () {
            let selectedIndex = filter.options.selectedIndex;
            let status = filter.options[selectedIndex].text;

            if (selectedIndex === 0) {
                loadTasks();
            } else {
                loadTasks(status);
            }

            filter.value = status;
        })
    </script>
</div>
<br>
